--/********************************************************************
--# (C) Copyright IBM Corp.  2005-2006
--# The source code for this program is not published or otherwise
--# divested of its trade secrets, irrespective of what has been
--# deposited with the U.S. Copyright Office.
--#********************************************************************/

-- **************************************************************************
-- PURPOSE:Migrate to 7.011
-- **************************************************************************

set echo on
SET AUTOCOMMIT ON

spool logs/step1.log

exec set_dateformat;
COMMIT;


update PROJECT_DETAILS
set ATTACHMENT_VIEW_BITS = 126
where project_id ='D8E753BDA8A94591B9D239EE4A266E43';



update PROJECT_DETAILS
set ATTACHMENT_VIEW_BITS = 126
where project_id ='E6794110E05740FF9A135F252503CC2A';


update PROJECT_DETAILS
set ATTACHMENT_VIEW_BITS = 126
where project_id ='1024FAADB0F740708093191BCB77A7DA';




Update tmt_wbs
set type_id = 314
where type_id = 313 and
element_id in
(select w.element_id
from tmt_wbs w,tmt_wbs w2
where w.rank like '/PL#%' 
and (w.type_id = 313 ) and
W.POOL_Id <> W.ELEMENT_ID AND
w.pool_id = w2.element_id and
w2.pool_id = w2.element_id and
SUBSTR(W.RANK,1,length(w.rank) - 12)<>SUBSTR(W2.RANK,1,length(w2.rank) - 8));




UPDATE TMT_WBS
SET TYPE_ID = 314
WHERE TYPE_ID = 313 AND
ELEMENT_ID IN
(SELECT W1.ELEMENT_ID
FROM TMT_WBS W1,TMT_WBS W2
WHERE W1.TYPE_ID = 313 AND
(W1.RANK <> W2.RANK) AND
(W1.POOL_ID = W2.POOL_ID) AND
(SUBSTR(W1.RANK,1,LENGTH(W1.RANK)-4) = SUBSTR(W2.RANK,1,LENGTH(W2.RANK)-4)) 
AND W1.RANK NOT IN
(SELECT MAX(W3.RANK)
FROM TMT_WBS W3,TMT_WBS W4
WHERE W3.POOL_ID = W1.POOL_ID AND
W3.TYPE_ID IN ( 313,314) AND
(W3.RANK <> W4.RANK) AND
(W3.POOL_ID = W4.POOL_ID) AND
(SUBSTR(W3.RANK,1,LENGTH(W3.RANK)-4) = SUBSTR(W4.RANK,1,LENGTH(W4.RANK)-4)) ));


ALTER TABLE TMT_WORKFLOW_CYCLES MODIFY ( ELEMENT_NAME VARCHAR2(100));
ALTER TABLE TMT_WORKFLOWS MODIFY ( ELEMENT_NAME VARCHAR2(100) );


UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 2147474430
WHERE ELEMENT_ID = 'SCGODLIKESECURITY';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 1
WHERE ELEMENT_ID = 'CANCREATEWBSFOLDERSECURITY';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 2
WHERE ELEMENT_ID = 'CANCREATEREQUIREMENTSECURITY';


UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 4
WHERE ELEMENT_ID = 'CANCREATECHANGEREQUESTSECURITY';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 8
WHERE ELEMENT_ID = 'CANCREATESERVICEREQUESTSECURITY';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 16
WHERE ELEMENT_ID = 'CANCREATERISKSECURITY';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 32
WHERE ELEMENT_ID = 'CANCREATEDEFECTSECURITY';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 64
WHERE ELEMENT_ID = 'CANCREATEISSUESECURITY';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 128
WHERE ELEMENT_ID = 'CANCREATEACTIONITEMSECURITY';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 256
WHERE ELEMENT_ID = 'CANCREATEDOCUMENTSECURITY';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 512
WHERE ELEMENT_ID = 'CANCREATENOTEMINUTESSECURITY';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 1024
WHERE ELEMENT_ID = 'CANCREATESCORECARDSECURITY';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 2048
WHERE ELEMENT_ID = 'CANCREATECRIFOLDERSECURITY';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 4096
WHERE ELEMENT_ID = 'CANCREATEDOCUMENTFOLDERSECURITY';


UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 8192
WHERE ELEMENT_ID = 'CANCREATESCORECARDFOLDERSECURITY';


UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 2097152
WHERE ELEMENT_ID = 'CANVIEWALLDELETEDDOCSSECURITY';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 16384
WHERE ELEMENT_ID = 'CANUNLOCKANYDOCSSECURITY';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 32768
WHERE ELEMENT_ID = 'CANPERMANENTLYDELETEDOCSSECURITY';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 8192
WHERE ELEMENT_ID = 'CANDELETEPUBLICDOCS';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 8388608
WHERE ELEMENT_ID = 'CANDELETEPUBLICCRIS';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 8
WHERE ELEMENT_ID = 'CANTEMPLATECRISECURITY';

UPDATE TMT_GLOBAL_SECURITY
SET INT_7 = 512
WHERE ELEMENT_ID = 'CANTEMPLATEDOCUMENTSECURITY';



INSERT INTO TMT_ACTIONS(ELEMENT_ID, LEVEL_ID, TYPE_ID, RANK, ELEMENT_NAME, ELEMENT_TYPES, DESCRIPTION, ROLLUP_FLAG, REC_USER ) VALUES('SC_TRANSFER_CRI_TO_WBS__________', 0, 346, '0000000Q', 'Transfer CRI to WBS',                            2032, 'FC_T_CRI(h_target_id, h_remain_id_list, 8, h_rec_user)',                   1, 'PMO_SYSTEM');
INSERT INTO TMT_ACTIONS(ELEMENT_ID, LEVEL_ID, TYPE_ID, RANK, ELEMENT_NAME, ELEMENT_TYPES, DESCRIPTION, ROLLUP_FLAG, REC_USER ) VALUES('SC_DOC_VISIBLE_AT_PARENT________', 0, 346, '0000000R', 'Document can be Visible at Parent',              6144, 'FC_U_PRIVATE_DOC(4, h_attached_id, h_private, Y, h_rec_user, h_error_id)', 0, 'PMO_SYSTEM');
INSERT INTO TMT_ACTIONS(ELEMENT_ID, LEVEL_ID, TYPE_ID, RANK, ELEMENT_NAME, ELEMENT_TYPES, DESCRIPTION, ROLLUP_FLAG, REC_USER ) VALUES('SC_DOC_NOT_VISIBLE_AT_PARENT____', 0, 346, '0000000S', 'Document can not be Visible at Parent',          6144, 'FC_U_PRIVATE_DOC(4, h_attached_id, h_private, N, h_rec_user, h_error_id)', 0, 'PMO_SYSTEM');
INSERT INTO TMT_ACTIONS(ELEMENT_ID, LEVEL_ID, TYPE_ID, RANK, ELEMENT_NAME, ELEMENT_TYPES, DESCRIPTION, ROLLUP_FLAG, REC_USER ) VALUES('SC_DOC_IS_PRIVATE_______________', 0, 346, '0000000T', 'Document has By Invitation of Element Security', 6144, 'FC_U_PRIVATE_DOC(4, h_attached_id, Y, h_visible, h_rec_user, h_error_id)', 0, 'PMO_SYSTEM');  
INSERT INTO TMT_ACTIONS(ELEMENT_ID, LEVEL_ID, TYPE_ID, RANK, ELEMENT_NAME, ELEMENT_TYPES, DESCRIPTION, ROLLUP_FLAG, REC_USER ) VALUES('SC_DOC_IS_NOT_PRIVATE___________', 0, 346, '0000000U', 'Document has Project Level of Element Security', 6144, 'FC_U_PRIVATE_DOC(4, h_attached_id, N, h_visible, h_rec_user, h_error_id)', 0, 'PMO_SYSTEM');

UPDATE TMT_ACTIONS SET ELEMENT_TYPES = 2032 WHERE RANK BETWEEN '0000000C' AND '0000000I';
UPDATE TMT_ACTIONS SET ELEMENT_TYPES = 128 WHERE ELEMENT_ID = 'SC_CONVERT_TO_REQTASK___________';
UPDATE TMT_ACTIONS SET ELEMENT_TYPES = 16 WHERE ELEMENT_ID = 'SC_CONVERT_TO_CR_TASK___________';
UPDATE TMT_ACTIONS SET ELEMENT_TYPES = 32 WHERE ELEMENT_ID = 'SC_CONVERT_TO_RISK_TASK_________';
UPDATE TMT_ACTIONS SET ELEMENT_TYPES = 64 WHERE ELEMENT_ID = 'SC_CONVERT_TO_ISSUE_TASK________';
UPDATE TMT_ACTIONS SET ELEMENT_TYPES = 256 WHERE ELEMENT_ID = 'SC_CONVERT_TO_DEFECT_TASK_______';
UPDATE TMT_ACTIONS SET ELEMENT_TYPES = 512 WHERE ELEMENT_ID = 'SC_CONVERT_TO_SR_TASK___________';
UPDATE TMT_ACTIONS SET ELEMENT_TYPES = 1024 WHERE ELEMENT_ID = 'SC_CONVERT_TO_AI_TASK___________';




DROP INDEX TCF_ENID_XU;
DROP INDEX TCPORT_ENID_XU;
DROP INDEX TWBSCF_ENID_XU;
DROP INDEX TDOCCF_ENID_XU;
DROP INDEX TRESCF_ENID_XU;
DROP INDEX TCLIENTCF_ENID_XU;
DROP INDEX TASSETCF_ENID_XU;


DROP INDEX TCF_EID_XU;
CREATE UNIQUE INDEX TCF_EID_XU ON TMT_CUSTOM_FIELDS (ELEMENT_ID) TABLESPACE PMO_IDX_64K;
DROP INDEX TCPORT_EID_XU;
CREATE UNIQUE INDEX TCPORT_EID_XU ON TMT_CUSTOM_PORTLETS (ELEMENT_ID) TABLESPACE PMO_IDX_64K;
DROP INDEX TWBSCF_EID_XU;
CREATE UNIQUE INDEX TWBSCF_EID_XU ON TMT_WBS_CRI_CUSTOM_FIELDS (ELEMENT_ID) TABLESPACE PMO_IDX_64K;
DROP INDEX TWBSCF_FID_XX;
CREATE  INDEX TWBSCF_FID_XX ON TMT_WBS_CRI_CUSTOM_FIELDS (FOREIGN_ID) TABLESPACE PMO_IDX_64K;
DROP INDEX TDOCCF_EID_XU;
CREATE UNIQUE INDEX TDOCCF_EID_XU ON TMT_DOC_CUSTOM_FIELDS (ELEMENT_ID) TABLESPACE PMO_IDX_64K;
DROP INDEX TDOCCF_FID_XX;
CREATE  INDEX TDOCCF_FID_XX ON TMT_DOC_CUSTOM_FIELDS (FOREIGN_ID) TABLESPACE PMO_IDX_64K;
DROP INDEX TRESCF_EID_XU;
CREATE UNIQUE INDEX TRESCF_EID_XU ON TMT_RESOURCE_CUSTOM_FIELDS (ELEMENT_ID) TABLESPACE PMO_IDX_64K;
DROP INDEX TRESCF_FID_XX;
CREATE  INDEX TRESCF_FID_XX ON TMT_RESOURCE_CUSTOM_FIELDS (FOREIGN_ID) TABLESPACE PMO_IDX_64K;
DROP INDEX TCLIENTCF_EID_XU;
CREATE UNIQUE INDEX TCLIENTCF_EID_XU ON TMT_CLIENT_CUSTOM_FIELDS (ELEMENT_ID) TABLESPACE PMO_IDX_64K;
DROP INDEX TCLIENTCF_FID_XX;
CREATE  INDEX TCLIENTCF_FID_XX ON TMT_CLIENT_CUSTOM_FIELDS (FOREIGN_ID) TABLESPACE PMO_IDX_64K;
DROP INDEX TASSETCF_EID_XU;
CREATE UNIQUE INDEX TASSETCF_EID_XU ON TMT_ASSET_CUSTOM_FIELDS (ELEMENT_ID) TABLESPACE PMO_IDX_64K;
DROP INDEX TASSETCF_FID_XX;
CREATE  INDEX TASSETCF_FID_XX ON TMT_ASSET_CUSTOM_FIELDS (FOREIGN_ID) TABLESPACE PMO_IDX_64K;


DELETE from TMT_GLOBAL_SECURITY 
where element_id like '%EXTERNALVISITOR%';


INSERT INTO TMT_GLOBAL_SECURITY(LEVEL_ID,TYPE_ID,MAX_RANK,CHILD_COUNT,DELETED_COUNT,PARENT_ID,ELEMENT_ID,ELEMENT_NAME,INT_1,INT_2,INT_3,INT_4,NOTI_1,NOTI_2,REC_USER,REC_STATUS,REC_DATETIME,RANK,INT_5,INT_6,INT_7,INT_8,INT_9,INT_10,INT_11,INT_12,INT_13,INT_14,INT_15,INT_16,INT_17,INT_18,INT_19,INT_20,INT_21,INT_22,INT_23,INT_24,SECURITY_GROUP) 
VALUES(1,153,0,0,0,'SCDOCUMENTGROUP','SCDOCUMENTUNRESTRICTEDVISITOR___','Document Unrestricted Visitor',469762048,512,469764096,393216,0,0,'PMO_SUPERVISOR','U','2006-04-24 15:14:43.500001','0000000;0005',168083522,2359362,42663936,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0); 
    
    
UPDATE TMT_GLOBAL_SECURITY 
SET MAX_RANK = 6, CHILD_COUNT = 5 
where element_id = 'SCDOCUMENTGROUP';


UPDATE TMT_ACTIONS SET ELEMENT_NAME = 'Transfer under WBS Root' where element_id = 'SC_TRANSFER_CRI_TO_WBS__________';


-- fix duplicate records in tmt_settings
DELETE FROM TMT_SETTINGS WHERE ELEMENT_ID = 'NUM_OF_BATCH_ALERTS_TO_SEND_____';

INSERT INTO TMT_SETTINGS(LEVEL_ID,TYPE_ID,MAX_RANK,CHILD_COUNT,DELETED_COUNT,ELEMENT_ID,ELEMENT_NAME,PARENT_ID,REC_USER,REC_STATUS,REC_DATETIME,RANK,SETTING_VALUE,DESCRIPTION)
VALUES(0,1,0,0,0,'NUM_OF_BATCH_ALERTS_TO_SEND_____',null,null,'PMO_SUPERVISOR','I','2003-04-28 20:13:28.093002','0000000j',100,'');

UPDATE TMT_SETTINGS
SET RANK = '00000011'
WHERE ELEMENT_ID='NUM_OF_BATCH_ALERTS_TO_SEND_____';


DROP INDEX TSG_EIDRANK;
CREATE UNIQUE INDEX TSG_EIDRANK ON TMT_SETTINGS (ELEMENT_ID ASC,RANK ASC)  TABLESPACE PMO_IDX_64K;


-- fix missing record in tmt_settings
delete from tmt_settings where element_id = 'CLIENT_BUILD_NUMBER';
INSERT INTO TMT_SETTINGS(LEVEL_ID,TYPE_ID,MAX_RANK,CHILD_COUNT,DELETED_COUNT,ELEMENT_ID,ELEMENT_NAME,PARENT_ID,REC_USER,REC_STATUS,REC_DATETIME,RANK,SETTING_VALUE,DESCRIPTION) VALUES(0,1,0,0,0,'CLIENT_BUILD_NUMBER','6.7.0.62',null,'PMO_SUPERVISOR','I', TIMESTAMP '2003-04-28 20:13:28.093002','0000000b',66,'6.7.0.62');

UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.7.0.26'
WHERE ELEMENT_ID = 'SERVER_BUILD_NUMBER'; 

UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.7.0.62', DESCRIPTION = '6.7.0.62'
WHERE ELEMENT_ID = 'CLIENT_BUILD_NUMBER';

UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '7.0.1.1'
WHERE ELEMENT_ID = 'CLIENT_VERSION_NUMBER';

UPDATE TMT_SETTINGS
SET DESCRIPTION = '7.0.1.1'
WHERE ELEMENT_ID = 'APPLICATION_VERSION';  	


COMMIT;
spool off

exit;
